/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityUse;

import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityUseRequest {
    public void makeFacilityUseRequest() {
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public static int assessRequestToPlanRatio() {
        return 0;
    }

    public static int assessRequestToActualRatio() {
        return 0;
    }

    private int priority;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private FacilityUse lnkUnnamed;
    private int description;
    private int status;
}


